.filter_offcanvas {
  --primary: #000;
  --secondary: #ccc;
  --gradient: linear-gradient(90deg, #d8ddff 0%, #ffd5dc 100%);
  --shadow: 0px 3px 6px #00000029;
}

.filter_offcanvas .offcanvas-header {
  padding: 15px 20px;
  background: #fff;
  box-shadow: var(--shadow);
  border-top-right-radius: 20px;
}

.filter_offcanvas .offcanvas-title {
  font-size: 16px;
}

.filter_offcanvas .offcanvas-body {
  padding: 0;
  scrollbar-width: thin;
  scrollbar-color: #754291 #e3e3e3;
}

.filter_offcanvas .offcanvas-footer {
  padding: 15px;
  background: #fff;
}

.filter_offcanvas .offcanvas-footer .Black_btn_holder,
.filter_offcanvas .offcanvas-footer .Black_btn_holder .Black_Btn {
  width: 100%;
}

.filter_offcanvas .accordion-item {
  border: 0;
}

.filter_offcanvas .accordion-button {
  font-size: 15px;
  font-weight: 600;
  box-shadow: none;
  padding: 10px 15px;
}

.filter_offcanvas .accordion-button:focus {
  box-shadow: none;
}

.filter_offcanvas .accordion-button:not(.collapsed) {
  color: #000;
  background: var(--gradient);
}

.filter_offcanvas .checkbox_list {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.filter_offcanvas .checkbox_item {
  display: flex;
  align-items: center;
  gap: 10px;
  font-size: 15px;
  cursor: pointer;
}

.filter_offcanvas .checkbox_item input {
  width: 18px;
  height: 18px;
  accent-color: #75418c;
}

.filter_offcanvas .range_slider_box {
  padding-top: 5px;
}

.filter_offcanvas .range_value {
  margin-bottom: 12px;
  font-size: 15px;
  font-weight: 600;
}

.filter_offcanvas .custom_range_slider {
  width: 100%;
  height: 6px;
  appearance: none;
  cursor: pointer;
  border-radius: 30px;
  outline: none;
  background: #f5b3b3;
}

.filter_offcanvas .custom_range_slider::-webkit-slider-runnable-track {
  height: 6px;
  border-radius: 30px;
  background: var(--secondary);
}

.filter_offcanvas .custom_range_slider::-moz-range-track {
  height: 6px;
  border-radius: 30px;
  background: var(--secondary);
}
.filter_offcanvas .Black_btn_holder .Black_Btn {
  background: transparent
    linear-gradient(
      180deg,
      #3a3a3a 0%,
      #5a5a5a 23%,
      #676767 50%,
      #5a5a5a 76%,
      #3a3a3a 100%
    )
    0% 0% no-repeat padding-box !important;
}
.filter_offcanvas .Black_btn_holder .Black_Btn:hover {
  background: transparent
    linear-gradient(180deg, #75438e 0%, #9a66b4 50%, #75438e 100%) 0% 0%
    no-repeat padding-box !important;
  /* border: 1px solid #00000000 !important; */

  color: #ffffff !important;
}

.filter_offcanvas .custom_range_slider::-webkit-slider-thumb {
  appearance: none;
  width: 18px;
  height: 18px;
  margin-top: -6px;
  border: 3px solid #fff;
  border-radius: 50%;
  background: var(--primary);
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
  transition: 0.3s;
}

.filter_offcanvas .custom_range_slider::-webkit-slider-thumb:hover {
  transform: scale(1.1);
}
.filter_offcanvas .new-list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 12px;
}

.filter_offcanvas .new-list .checkbox_item {
  display: grid;
  grid-template-columns: 20px 1fr;
  align-items: center;
  gap: 4px;
}
.filter_offcanvas .custom_range_slider::-moz-range-thumb {
  width: 18px;
  height: 18px;
  border: none;
  border-radius: 50%;
  background: var(--primary);
}
@media (min-width: 0px) and (max-width: 991.98px) {
  .filter_offcanvas .checkbox_list {
    gap: 5px;
  }
  .filter_offcanvas .range_value {
    margin-bottom: 3px;
  }
  .filter_offcanvas .accordion-button {
    font-size: 14px;

    padding: 8px 15px;
  }
}
